HtmlDropSupport (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.html.HtmlDropSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDropSupport

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDropSupport
                          org.richfaces.component.html.HtmlDropSupport

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.component.Dropzone, org.richfaces.event.DropSource

    public class HtmlDropSupport

extends UIDropSupport

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlDropSupport()`

Method Summary
`java.lang.String` | `getAcceptCursors()`
`java.lang.Object` | `getAcceptedTypes()`
`java.lang.Object` | `getCursorTypeMapping()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getDisableDefault()`
`javax.faces.el.MethodBinding` | `getDropListener()`
`java.lang.Object` | `getDropValue()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndragenter()`
`java.lang.String` | `getOndragexit()`
`java.lang.String` | `getOndrop()`
`java.lang.String` | `getOndropend()`
`java.lang.String` | `getOnsubmit()`
`java.lang.String` | `getRejectCursors()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getStatus()`
`int` | `getTimeout()`
`java.lang.Object` | `getTypeMapping()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptCursors(java.lang.String _acceptCursors)`
`void` | `setAcceptedTypes(java.lang.Object _acceptedTypes)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setCursorTypeMapping(java.lang.Object _cursorTypeMapping)`
`void` | `setData(java.lang.Object _data)`
`void` | `setDisableDefault(java.lang.String _disableDefault)`
`void` | `setDropListener(javax.faces.el.MethodBinding _dropListener)`
`void` | `setDropValue(java.lang.Object _dropValue)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndragenter(java.lang.String _ondragenter)`
`void` | `setOndragexit(java.lang.String _ondragexit)`
`void` | `setOndrop(java.lang.String _ondrop)`
`void` | `setOndropend(java.lang.String _ondropend)`
`void` | `setOnsubmit(java.lang.String _onsubmit)`
`void` | `setRejectCursors(java.lang.String _rejectCursors)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setTimeout(int _timeout)`
`void` | `setTypeMapping(java.lang.Object _typeMapping)`

Methods inherited from class org.richfaces.component.UIDropSupport
`addDropListener, broadcast, getDropListeners, queueEvent, removeDropListener`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDropSupport

    public HtmlDropSupport()

Method Detail

### getAcceptCursors

    public java.lang.String getAcceptCursors()

### setAcceptCursors

    public void setAcceptCursors(java.lang.String _acceptCursors)

### getAcceptedTypes

    public java.lang.Object getAcceptedTypes()

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.Object _acceptedTypes)

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getCursorTypeMapping

    public java.lang.Object getCursorTypeMapping()

### setCursorTypeMapping

    public void setCursorTypeMapping(java.lang.Object _cursorTypeMapping)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### getDisableDefault

    public java.lang.String getDisableDefault()

### setDisableDefault

    public void setDisableDefault(java.lang.String _disableDefault)

### getDropListener

    public javax.faces.el.MethodBinding getDropListener()

### setDropListener

    public void setDropListener(javax.faces.el.MethodBinding _dropListener)

### getDropValue

    public java.lang.Object getDropValue()

### setDropValue

    public void setDropValue(java.lang.Object _dropValue)

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndragenter

    public java.lang.String getOndragenter()

### setOndragenter

    public void setOndragenter(java.lang.String _ondragenter)

### getOndragexit

    public java.lang.String getOndragexit()

### setOndragexit

    public void setOndragexit(java.lang.String _ondragexit)

### getOndrop

    public java.lang.String getOndrop()

### setOndrop

    public void setOndrop(java.lang.String _ondrop)

### getOndropend

    public java.lang.String getOndropend()

### setOndropend

    public void setOndropend(java.lang.String _ondropend)

### getOnsubmit

    public java.lang.String getOnsubmit()

### setOnsubmit

    public void setOnsubmit(java.lang.String _onsubmit)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRejectCursors

    public java.lang.String getRejectCursors()

### setRejectCursors

    public void setRejectCursors(java.lang.String _rejectCursors)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getTypeMapping

    public java.lang.Object getTypeMapping()

### setTypeMapping

    public void setTypeMapping(java.lang.Object _typeMapping)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.